Skip to content
Guides
API reference
stableasset:create

Upload Asset (Multipart)

POST/v1/storage/assets

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/storage/assets" \  -F property1="string" \  -F property2="string"
{  "id": "string",  "fileName": "string",  "publicUrl": "string",  "contentType": "string",  "size": 0,  "width": null,  "height": null,  "altText": null,  "directory": "string",  "metadata": {    "property1": "string",    "property2": "string"  },  "createdOn": "2019-08-24T14:15:22Z"}